/* FotoTimer 0.3
 * (C) 2001-2002 Hynek Sladky
 * sladky@mujmail.cz
 */

// database type definition
#define AppID           'FTim'
#define TimersDBType    'Data'

// preferences structure
// melo by tu byt: naposledy nastaveny rezim mereni (EV/T/timer)
// mel by tu byt stav tohoto rezimu (nastavene doby/vybrany film/apod.)
// mela by tu byt databaze k timeru: nazev, casy...
// napr. record 0 bude obsahovat jeden typ, record 1..n bude databaze

#define BTlen           10
#define TimeMax         32

//#define AutoOff         0x0001
#define BackLight       0x0002

struct sPrefs {
  int LastTimer;
  int Tmod;
};

enum {Tbegin, Tmid, Tend, Ttotal, Tcnt};
// preklapeni na zacatku        N x T
// preklapeni v prubehu         T
// preklapeni na konci          N x T
// upozorneni pred koncem       T
// celkova doba kroku           T

#define Alerts          100

struct sTimers {
  struct {
    Int16 cnt;
    Int16 len;
  } time[4][Tcnt];
  char note[4][Tnotelen+1];
  Int16 pause, alert;
  char name[Tnamelen+1];
};
